org.apache.mina.core.write

## Class WriteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.mina.core.write.WriteException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NothingWrittenException, WriteTimeoutException, WriteToClosedSessionException

      public class WriteException
      extends IOException

  An exception which is thrown when one or more write operations were failed.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteException(Collection<WriteRequest> requests)` Creates a new exception.
    `WriteException(Collection<WriteRequest> requests, String s)` Creates a new exception.
    `WriteException(Collection<WriteRequest> requests, String message, Throwable cause)` Creates a new exception.
    `WriteException(Collection<WriteRequest> requests, Throwable cause)` Creates a new exception.
    `WriteException(WriteRequest request)` Creates a new exception.
    `WriteException(WriteRequest request, String s)` Creates a new exception.
    `WriteException(WriteRequest request, String message, Throwable cause)` Creates a new exception.
    `WriteException(WriteRequest request, Throwable cause)` Creates a new exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WriteRequest` | `getRequest()` Returns the firstly failed `WriteRequest`.
    `List<WriteRequest>` | `getRequests()` Returns the list of the failed `WriteRequest`, in the order of occurrance.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteException

          public WriteException(WriteRequest request)

      Creates a new exception.

    - #### WriteException

          public WriteException(WriteRequest request,
                        String s)

      Creates a new exception.

    - #### WriteException

          public WriteException(WriteRequest request,
                        String message,
                        Throwable cause)

      Creates a new exception.

    - #### WriteException

          public WriteException(WriteRequest request,
                        Throwable cause)

      Creates a new exception.

    - #### WriteException

          public WriteException(Collection<WriteRequest> requests)

      Creates a new exception.

    - #### WriteException

          public WriteException(Collection<WriteRequest> requests,
                        String s)

      Creates a new exception.

    - #### WriteException

          public WriteException(Collection<WriteRequest> requests,
                        String message,
                        Throwable cause)

      Creates a new exception.

    - #### WriteException

          public WriteException(Collection<WriteRequest> requests,
                        Throwable cause)

      Creates a new exception.

  - ### Method Detail

    - #### getRequests

          public List<WriteRequest> getRequests()

      Returns the list of the failed `WriteRequest`, in the order of occurrance.

    - #### getRequest

          public WriteRequest getRequest()

      Returns the firstly failed `WriteRequest`.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.